---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/09_Andreas_house/Anim/idles/"
---------------------------------------------------------------------------------------
createCompositionAndrea = nil
createCompositionLaura = nil
---------------------------------------------------------------------------------------
createCompositionAndrea = function()
	local compositionAndrea = CreateCompositionSequence()
	local compositionDuration = 3.33333333333333
	compositionAndrea:setDuration(compositionDuration)
	compositionAndrea:setName("compositionAndrea" )
	compositionAndrea:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer hand_L_02.png/1
	element = CreateCompositionElement(PREFIX_PATH.."hand_L_02.png")
	element:setName("hand_L_02.png/1")
	compositionAndrea:addElement(element)
	element:setHotSpot(13, 8)
	element:setParentElement(compositionAndrea)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:setKey(_TRACK_X, 0, 839.5)
	effector:setKey(_TRACK_Y, 0, 260)
	effector:setKey(_TRACK_X, 0.79166666666667, 839.5)
	effector:setKey(_TRACK_Y, 0.79166666666667, 260)
	effector:setKey(_TRACK_X, 1.41666666666667, 839.5)
	effector:setKey(_TRACK_Y, 1.41666666666667, 260)
	effector:setKey(_TRACK_X, 2.20833333333333, 839.5)
	effector:setKey(_TRACK_Y, 2.20833333333333, 260)
	effector:setKey(_TRACK_X, 2.95833333333333, 839.5)
	effector:setKey(_TRACK_Y, 2.95833333333333, 260)
	effector:setKey(_TRACK_X, 3.29166666666667, 839.5)
	effector:setKey(_TRACK_Y, 3.29166666666667, 260)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.79166666666667, 1)
	effector:setKey(_TRACK_SY, 0.79166666666667, 1)
	effector:setKey(_TRACK_SX, 1.41666666666667, 1)
	effector:setKey(_TRACK_SY, 1.41666666666667, 1)
	effector:setKey(_TRACK_SX, 2.20833333333333, 1)
	effector:setKey(_TRACK_SY, 2.20833333333333, 1)
	effector:setKey(_TRACK_SX, 2.95833333333333, 1)
	effector:setKey(_TRACK_SY, 2.95833333333333, 1)
	effector:setKey(_TRACK_SX, 3.29166666666667, 1)
	effector:setKey(_TRACK_SY, 3.29166666666667, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.79166666666667, 0)
	effector:setKey(_TRACK_A, 1.41666666666667, -0.03627712657031)
	effector:setKey(_TRACK_A, 2.20833333333333, -0.03627712657031)
	effector:setKey(_TRACK_A, 2.95833333333333, 0)
	effector:setKey(_TRACK_A, 3.29166666666667, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.79166666666667, 1)
	effector:setKey(_TRACK_O, 1.41666666666667, 1)
	effector:setKey(_TRACK_O, 2.20833333333333, 1)
	effector:setKey(_TRACK_O, 2.95833333333333, 1)
	effector:setKey(_TRACK_O, 3.29166666666667, 1)
	effector:play()
 
 
	-- Layer hand_L_01.png/2
	element = CreateCompositionElement(PREFIX_PATH.."hand_L_01.png")
	element:setName("hand_L_01.png/2")
	compositionAndrea:addElement(element)
	element:setHotSpot(42, 9.5)
	compositionAndrea:registerParentInfo("hand_L_01.png/2", "hand_L_02.png/1")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:setKey(_TRACK_X, 0, 16)
	effector:setKey(_TRACK_Y, 0, 87)
	effector:setKey(_TRACK_X, 0.79166666666667, 16)
	effector:setKey(_TRACK_Y, 0.79166666666667, 87)
	effector:setKey(_TRACK_X, 1.41666666666667, 16)
	effector:setKey(_TRACK_Y, 1.41666666666667, 87)
	effector:setKey(_TRACK_X, 3.29166666666667, 16)
	effector:setKey(_TRACK_Y, 3.29166666666667, 87)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.79166666666667, 1)
	effector:setKey(_TRACK_SY, 0.79166666666667, 1)
	effector:setKey(_TRACK_SX, 1.41666666666667, 1)
	effector:setKey(_TRACK_SY, 1.41666666666667, 1)
	effector:setKey(_TRACK_SX, 3.29166666666667, 1)
	effector:setKey(_TRACK_SY, 3.29166666666667, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.79166666666667, 0)
	effector:setKey(_TRACK_A, 1.41666666666667, 0)
	effector:setKey(_TRACK_A, 1.83333333333333, -0.03945327345475)
	effector:setKey(_TRACK_A, 2.625, -0.03945327345475)
	effector:setKey(_TRACK_A, 3.29166666666667, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.79166666666667, 1)
	effector:setKey(_TRACK_O, 1.41666666666667, 1)
	effector:setKey(_TRACK_O, 3.29166666666667, 1)
	effector:play()
 
 
	-- Layer eyes.png/3
	element = CreateCompositionElement(PREFIX_PATH.."eyes.png")
	element:setName("eyes.png/3")
	compositionAndrea:addElement(element)
	element:setHotSpot(18, 7)
	compositionAndrea:registerParentInfo("eyes.png/3", "head.png/4")
	element:setXY(24.875, 38.125)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 0.41666666666667, 0)
	effector:setKey(_TRACK_O, 0.45833333333333, 1)
	effector:setKey(_TRACK_O, 0.5, 0)
	effector:setKey(_TRACK_O, 1.79166666666667, 0)
	effector:setKey(_TRACK_O, 1.83333333333333, 1)
	effector:setKey(_TRACK_O, 1.875, 0)
	effector:setKey(_TRACK_O, 3.29166666666667, 1)
	effector:play()
 
 
	-- Layer head.png/4
	element = CreateCompositionElement(PREFIX_PATH.."head.png")
	element:setName("head.png/4")
	compositionAndrea:addElement(element)
	element:setHotSpot(29.5, 57.5)
	element:setParentElement(compositionAndrea)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:setKey(_TRACK_X, 0, 802)
	effector:setKey(_TRACK_Y, 0, 236.125)
	effector:setKey(_TRACK_X, 0.41666666666667, 802)
	effector:setKey(_TRACK_Y, 0.41666666666667, 236.125)
	effector:setKey(_TRACK_X, 1.04166666666667, 802)
	effector:setKey(_TRACK_Y, 1.04166666666667, 236.125)
	effector:setKey(_TRACK_X, 2.25, 802)
	effector:setKey(_TRACK_Y, 2.25, 236.125)
	effector:setKey(_TRACK_X, 2.91666666666667, 802)
	effector:setKey(_TRACK_Y, 2.91666666666667, 236.125)
	effector:setKey(_TRACK_X, 3.29166666666667, 802)
	effector:setKey(_TRACK_Y, 3.29166666666667, 236.125)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.41666666666667, 1)
	effector:setKey(_TRACK_SY, 0.41666666666667, 1)
	effector:setKey(_TRACK_SX, 1.04166666666667, 1)
	effector:setKey(_TRACK_SY, 1.04166666666667, 1)
	effector:setKey(_TRACK_SX, 2.25, 1)
	effector:setKey(_TRACK_SY, 2.25, 1)
	effector:setKey(_TRACK_SX, 2.91666666666667, 1)
	effector:setKey(_TRACK_SY, 2.91666666666667, 1)
	effector:setKey(_TRACK_SX, 3.29166666666667, 1)
	effector:setKey(_TRACK_SY, 3.29166666666667, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.41666666666667, 0)
	effector:setKey(_TRACK_A, 1.04166666666667, 0.06179398197768)
	effector:setKey(_TRACK_A, 2.25, 0.06179398197768)
	effector:setKey(_TRACK_A, 2.91666666666667, 0)
	effector:setKey(_TRACK_A, 3.29166666666667, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.41666666666667, 1)
	effector:setKey(_TRACK_O, 1.04166666666667, 1)
	effector:setKey(_TRACK_O, 2.25, 1)
	effector:setKey(_TRACK_O, 2.91666666666667, 1)
	effector:setKey(_TRACK_O, 3.29166666666667, 1)
	effector:play()
 
 
	-- Layer body.png/5
	element = CreateCompositionElement(PREFIX_PATH.."body.png")
	element:setName("body.png/5")
	compositionAndrea:addElement(element)
	element:setHotSpot(70, 199)
	element:setParentElement(compositionAndrea)
	element:setXY(789.5, 420.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:play()
 
 
	-- Layer hand_r.png/6
	element = CreateCompositionElement(PREFIX_PATH.."hand_r.png")
	element:setName("hand_r.png/6")
	compositionAndrea:addElement(element)
	element:setHotSpot(30, 6)
	compositionAndrea:registerParentInfo("hand_r.png/6", "body.png/5")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:setKey(_TRACK_X, 0, 40)
	effector:setKey(_TRACK_Y, 0, 43)
	effector:setKey(_TRACK_X, 0.70833333333333, 40)
	effector:setKey(_TRACK_Y, 0.70833333333333, 43)
	effector:setKey(_TRACK_X, 3.04166666666667, 40)
	effector:setKey(_TRACK_Y, 3.04166666666667, 43)
	effector:setKey(_TRACK_X, 3.29166666666667, 40)
	effector:setKey(_TRACK_Y, 3.29166666666667, 43)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.70833333333333, 1)
	effector:setKey(_TRACK_SY, 0.70833333333333, 1)
	effector:setKey(_TRACK_SX, 3.04166666666667, 1)
	effector:setKey(_TRACK_SY, 3.04166666666667, 1)
	effector:setKey(_TRACK_SX, 3.29166666666667, 1)
	effector:setKey(_TRACK_SY, 3.29166666666667, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.70833333333333, 0)
	effector:setKey(_TRACK_A, 1.41666666666667, 0.02255650942242)
	effector:setKey(_TRACK_A, 2.375, 0.02255650942242)
	effector:setKey(_TRACK_A, 3.04166666666667, 0)
	effector:setKey(_TRACK_A, 3.29166666666667, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.70833333333333, 1)
	effector:setKey(_TRACK_O, 3.04166666666667, 1)
	effector:setKey(_TRACK_O, 3.29166666666667, 1)
	effector:play()
 
 
	-- Layer shadow.png/7
	element = CreateCompositionElement(PREFIX_PATH.."shadow.png")
	element:setName("shadow.png/7")
	compositionAndrea:addElement(element)
	element:setHotSpot(153, 83)
	element:setParentElement(compositionAndrea)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:setKey(_TRACK_X, 0, 727)
	effector:setKey(_TRACK_Y, 0, 664)
	effector:setKey(_TRACK_X, 0.70833333333333, 727)
	effector:setKey(_TRACK_Y, 0.70833333333333, 664)
	effector:setKey(_TRACK_X, 3.04166666666667, 727)
	effector:setKey(_TRACK_Y, 3.04166666666667, 664)
	effector:setKey(_TRACK_X, 3.29166666666667, 727)
	effector:setKey(_TRACK_Y, 3.29166666666667, 664)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.70833333333333, 1)
	effector:setKey(_TRACK_SY, 0.70833333333333, 1)
	effector:setKey(_TRACK_SX, 1.375, 1.02)
	effector:setKey(_TRACK_SY, 1.375, 1.02)
	effector:setKey(_TRACK_SX, 2.375, 1.02)
	effector:setKey(_TRACK_SY, 2.375, 1.02)
	effector:setKey(_TRACK_SX, 3.04166666666667, 1)
	effector:setKey(_TRACK_SY, 3.04166666666667, 1)
	effector:setKey(_TRACK_SX, 3.29166666666667, 1)
	effector:setKey(_TRACK_SY, 3.29166666666667, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.70833333333333, 0)
	effector:setKey(_TRACK_A, 3.04166666666667, 0)
	effector:setKey(_TRACK_A, 3.29166666666667, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.70833333333333, 1)
	effector:setKey(_TRACK_O, 3.04166666666667, 1)
	effector:setKey(_TRACK_O, 3.29166666666667, 1)
	effector:play()
 
	compositionAndrea:play()
 
	return compositionAndrea
end
 
createCompositionLaura = function()
	local compositionLaura = CreateCompositionSequence()
	local compositionDuration = 3.33333333333333
	compositionLaura:setDuration(compositionDuration)
	compositionLaura:setName("compositionLaura" )
	compositionLaura:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer shadow_girl.png/1
	element = CreateCompositionElement(PREFIX_PATH.."shadow_girl.png")
	element:setName("shadow_girl.png/1")
	compositionLaura:addElement(element)
	element:setHotSpot(86, 82)
	element:setParentElement(compositionLaura)
	element:setXY(893, 668)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:play()
 
 
	-- Layer head_1.png/2
	element = CreateCompositionElement(PREFIX_PATH.."head_1.png")
	element:setName("head_1.png/2")
	compositionLaura:addElement(element)
	element:setHotSpot(35, 65)
	compositionLaura:registerParentInfo("head_1.png/2", "neck.png/6")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:setKey(_TRACK_X, 0, 37.5)
	effector:setKey(_TRACK_Y, 0, 31)
	effector:setKey(_TRACK_X, 0.20833333333333, 37.5)
	effector:setKey(_TRACK_Y, 0.20833333333333, 31)
	effector:setKey(_TRACK_X, 2.875, 37.5)
	effector:setKey(_TRACK_Y, 2.875, 31)
	effector:setKey(_TRACK_X, 3.29166666666667, 37.5)
	effector:setKey(_TRACK_Y, 3.29166666666667, 31)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.20833333333333, 1)
	effector:setKey(_TRACK_SY, 0.20833333333333, 1)
	effector:setKey(_TRACK_SX, 2.875, 1)
	effector:setKey(_TRACK_SY, 2.875, 1)
	effector:setKey(_TRACK_SX, 3.29166666666667, 1)
	effector:setKey(_TRACK_SY, 3.29166666666667, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.20833333333333, 0)
	effector:setKey(_TRACK_A, 0.83333333333333, -0.07780463980777)
	effector:setKey(_TRACK_A, 1.95833333333333, -0.07780463980777)
	effector:setKey(_TRACK_A, 2.875, 0)
	effector:setKey(_TRACK_A, 3.29166666666667, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.20833333333333, 1)
	effector:setKey(_TRACK_O, 2.875, 1)
	effector:setKey(_TRACK_O, 3.29166666666667, 1)
	effector:play()
 
 
	-- Layer brosh.png/3
	element = CreateCompositionElement(PREFIX_PATH.."brosh.png")
	element:setName("brosh.png/3")
	compositionLaura:addElement(element)
	element:setHotSpot(10, 10)
	compositionLaura:registerParentInfo("brosh.png/3", "body_1.png/5")
	element:setXY(67, 53.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:play()
 
 
	-- Layer hand_l.png/4
	element = CreateCompositionElement(PREFIX_PATH.."hand_l.png")
	element:setName("hand_l.png/4")
	compositionLaura:addElement(element)
	element:setHotSpot(15.5, 7.5)
	compositionLaura:registerParentInfo("hand_l.png/4", "neck.png/6")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:setKey(_TRACK_X, 0, 76.5)
	effector:setKey(_TRACK_Y, 0, 42)
	effector:setKey(_TRACK_X, 0.20833333333333, 76.5)
	effector:setKey(_TRACK_Y, 0.20833333333333, 42)
	effector:setKey(_TRACK_X, 2.75, 76.5)
	effector:setKey(_TRACK_Y, 2.75, 42)
	effector:setKey(_TRACK_X, 3.29166666666667, 76.5)
	effector:setKey(_TRACK_Y, 3.29166666666667, 42)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.20833333333333, 1)
	effector:setKey(_TRACK_SY, 0.20833333333333, 1)
	effector:setKey(_TRACK_SX, 2.75, 1)
	effector:setKey(_TRACK_SY, 2.75, 1)
	effector:setKey(_TRACK_SX, 3.29166666666667, 1)
	effector:setKey(_TRACK_SY, 3.29166666666667, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.20833333333333, 0)
	effector:setKey(_TRACK_A, 0.83333333333333, 0.03899935510162)
	effector:setKey(_TRACK_A, 1.91666666666667, 0.03899935510162)
	effector:setKey(_TRACK_A, 2.75, 0)
	effector:setKey(_TRACK_A, 3.29166666666667, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.20833333333333, 1)
	effector:setKey(_TRACK_O, 2.75, 1)
	effector:setKey(_TRACK_O, 3.29166666666667, 1)
	effector:play()
 
 
	-- Layer body_1.png/5
	element = CreateCompositionElement(PREFIX_PATH.."body_1.png")
	element:setName("body_1.png/5")
	compositionLaura:addElement(element)
	element:setHotSpot(42.5, 104.5)
	element:setParentElement(compositionLaura)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:setKey(_TRACK_X, 0, 941)
	effector:setKey(_TRACK_Y, 0, 321.5)
	effector:setKey(_TRACK_X, 0.20833333333333, 941)
	effector:setKey(_TRACK_Y, 0.20833333333333, 321.5)
	effector:setKey(_TRACK_X, 0.75, 942)
	effector:setKey(_TRACK_Y, 0.75, 323.5)
	effector:setKey(_TRACK_X, 1.95833333333333, 942)
	effector:setKey(_TRACK_Y, 1.95833333333333, 323.5)
	effector:setKey(_TRACK_X, 2.66666666666667, 941)
	effector:setKey(_TRACK_Y, 2.66666666666667, 321.5)
	effector:setKey(_TRACK_X, 3.29166666666667, 941)
	effector:setKey(_TRACK_Y, 3.29166666666667, 321.5)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.20833333333333, 1)
	effector:setKey(_TRACK_SY, 0.20833333333333, 1)
	effector:setKey(_TRACK_SX, 0.75, 1)
	effector:setKey(_TRACK_SY, 0.75, 1)
	effector:setKey(_TRACK_SX, 1.95833333333333, 1)
	effector:setKey(_TRACK_SY, 1.95833333333333, 1)
	effector:setKey(_TRACK_SX, 2.66666666666667, 1)
	effector:setKey(_TRACK_SY, 2.66666666666667, 1)
	effector:setKey(_TRACK_SX, 3.29166666666667, 1)
	effector:setKey(_TRACK_SY, 3.29166666666667, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.20833333333333, 0)
	effector:setKey(_TRACK_A, 0.75, 0.02257911260974)
	effector:setKey(_TRACK_A, 1.95833333333333, 0.02257911260974)
	effector:setKey(_TRACK_A, 2.66666666666667, 0)
	effector:setKey(_TRACK_A, 3.29166666666667, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.20833333333333, 1)
	effector:setKey(_TRACK_O, 0.75, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 1)
	effector:setKey(_TRACK_O, 2.66666666666667, 1)
	effector:setKey(_TRACK_O, 3.29166666666667, 1)
	effector:play()
 
 
	-- Layer neck.png/6
	element = CreateCompositionElement(PREFIX_PATH.."neck.png")
	element:setName("neck.png/6")
	compositionLaura:addElement(element)
	element:setHotSpot(35, 39)
	compositionLaura:registerParentInfo("neck.png/6", "body_1.png/5")
	element:setXY(49, 33.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:play()
 
 
	-- Layer hand_r_1.png/7
	element = CreateCompositionElement(PREFIX_PATH.."hand_r_1.png")
	element:setName("hand_r_1.png/7")
	compositionLaura:addElement(element)
	element:setHotSpot(39, 3)
	compositionLaura:registerParentInfo("hand_r_1.png/7", "body_1.png/5")
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:setKey(_TRACK_X, 0, 21)
	effector:setKey(_TRACK_Y, 0, 32)
	effector:setKey(_TRACK_X, 0.20833333333333, 21)
	effector:setKey(_TRACK_Y, 0.20833333333333, 32)
	effector:setKey(_TRACK_X, 2.75, 21)
	effector:setKey(_TRACK_Y, 2.75, 32)
	effector:setKey(_TRACK_X, 3.29166666666667, 21)
	effector:setKey(_TRACK_Y, 3.29166666666667, 32)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.20833333333333, 1)
	effector:setKey(_TRACK_SY, 0.20833333333333, 1)
	effector:setKey(_TRACK_SX, 2.75, 1)
	effector:setKey(_TRACK_SY, 2.75, 1)
	effector:setKey(_TRACK_SX, 3.29166666666667, 1)
	effector:setKey(_TRACK_SY, 3.29166666666667, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.20833333333333, 0)
	effector:setKey(_TRACK_A, 0.95833333333333, -0.04549402765289)
	effector:setKey(_TRACK_A, 1.83333333333333, -0.04549402765289)
	effector:setKey(_TRACK_A, 2.75, 0)
	effector:setKey(_TRACK_A, 3.29166666666667, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.20833333333333, 1)
	effector:setKey(_TRACK_O, 2.75, 1)
	effector:setKey(_TRACK_O, 3.29166666666667, 1)
	effector:play()
 
 
	-- Layer leg_l_01.png/8
	element = CreateCompositionElement(PREFIX_PATH.."leg_l_01.png")
	element:setName("leg_l_01.png/8")
	compositionLaura:addElement(element)
	element:setHotSpot(20, 31)
	element:setParentElement(compositionLaura)
	element:setXY(967.5, 574.875)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:play()
 
 
	-- Layer leg_l_02.png/9
	element = CreateCompositionElement(PREFIX_PATH.."leg_l_02.png")
	element:setName("leg_l_02.png/9")
	compositionLaura:addElement(element)
	element:setHotSpot(35, 109)
	element:setParentElement(compositionLaura)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:setKey(_TRACK_X, 0, 968.5)
	effector:setKey(_TRACK_Y, 0, 555)
	effector:setKey(_TRACK_X, 0.20833333333333, 968.5)
	effector:setKey(_TRACK_Y, 0.20833333333333, 555)
	effector:setKey(_TRACK_X, 0.66666666666667, 968.5)
	effector:setKey(_TRACK_Y, 0.66666666666667, 555)
	effector:setKey(_TRACK_X, 1.95833333333333, 968.5)
	effector:setKey(_TRACK_Y, 1.95833333333333, 555)
	effector:setKey(_TRACK_X, 2.70833333333333, 968.5)
	effector:setKey(_TRACK_Y, 2.70833333333333, 555)
	effector:setKey(_TRACK_X, 3.29166666666667, 968.5)
	effector:setKey(_TRACK_Y, 3.29166666666667, 555)
	effector:setKey(_TRACK_SX, 0, 1)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.20833333333333, 1)
	effector:setKey(_TRACK_SY, 0.20833333333333, 1)
	effector:setKey(_TRACK_SX, 0.66666666666667, 1)
	effector:setKey(_TRACK_SY, 0.66666666666667, 1)
	effector:setKey(_TRACK_SX, 1.95833333333333, 1)
	effector:setKey(_TRACK_SY, 1.95833333333333, 1)
	effector:setKey(_TRACK_SX, 2.70833333333333, 1)
	effector:setKey(_TRACK_SY, 2.70833333333333, 1)
	effector:setKey(_TRACK_SX, 3.29166666666667, 1)
	effector:setKey(_TRACK_SY, 3.29166666666667, 1)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.20833333333333, 0)
	effector:setKey(_TRACK_A, 0.66666666666667, -0.06997199842388)
	effector:setKey(_TRACK_A, 1.95833333333333, -0.06997199842388)
	effector:setKey(_TRACK_A, 2.70833333333333, 0)
	effector:setKey(_TRACK_A, 3.29166666666667, 0)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 0.20833333333333, 1)
	effector:setKey(_TRACK_O, 0.66666666666667, 1)
	effector:setKey(_TRACK_O, 1.95833333333333, 1)
	effector:setKey(_TRACK_O, 2.70833333333333, 1)
	effector:setKey(_TRACK_O, 3.29166666666667, 1)
	effector:play()
 
 
	-- Layer leg_r_01.png/10
	element = CreateCompositionElement(PREFIX_PATH.."leg_r_01.png")
	element:setName("leg_r_01.png/10")
	compositionLaura:addElement(element)
	element:setHotSpot(16, 39)
	element:setParentElement(compositionLaura)
	element:setXY(947.5, 580)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:play()
 
 
	-- Layer leg_r_02.png/11
	element = CreateCompositionElement(PREFIX_PATH.."leg_r_02.png")
	element:setName("leg_r_02.png/11")
	compositionLaura:addElement(element)
	element:setHotSpot(30, 94.5)
	element:setParentElement(compositionLaura)
	element:setXY(956, 555)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 3.33333333333333)
	effector:play()
 
	compositionLaura:play()
 
	return compositionLaura
end
 
